编译安装PHP7并安装Redis扩展Swoole扩展

用PECL自动安装Redis扩展、Swoole扩展

编译安装PHP7并安装Redis扩展Swoole扩展

在编译php7的机器上已经有编译安装过php5.3以上的版本,从而依赖库都有了

本php7是编译成fpm-php 使用的,

如果是apache那么编译参数应该为

编译安装php7

编译安装php7的redis扩展支持

/usr/local/php7/etc/php.ini
中加入
extension=redis.so

编译安装php7的swoole

/usr/local/php7/etc/php.ini
中加入
extension=swoole.so

打赏

2 评论

  1. 貌似有几个参数是默认就enable的吧,比如opcache,我试了一下

发表评论

电子邮件地址不会被公开。 必填项已用*标注